@echo off

REM By Gary Arndt
REM Configure aspects of a scenario

set DATAID=1

if exist DATA%DATAID%\VTSET-Standard.dat goto LB_FPENH
echo FP graphics are set to standard mode
goto LB_ENDGRINF

:LB_FPENH
echo FP graphics are set to enhanced mode
goto LB_ENDGRINF

:LB_ENDGRINF

echo 1: Switch graphics mode
echo E: Exit
winchoice "Which? "

if errorlevel 102 goto LB_OTHER
if errorlevel 101 goto LB_E
if errorlevel 70 goto LB_OTHER
if errorlevel 69 goto LB_E
if errorlevel 50 goto LB_OTHER
if errorlevel 49 goto LB_1
goto LB_OTHER

:LB_E
echo E
goto LB_END

:LB_1
echo 1
if exist DATA%DATAID%\VTSET-Standard.dat goto LB_SET_GRSTANDARD
goto LB_SET_GRENHANCED

:LB_SET_GRSTANDARD
rename DATA%DATAID%\VTSET.dat VTSET-Enhanced.dat
rename DATA%DATAID%\VFSET.dat VFSET-Enhanced.dat
rename DATA%DATAID%\VTSET-Standard.dat VTSET.dat
rename DATA%DATAID%\VFSET-Standard.dat VFSET.dat
goto LB_END

:LB_SET_GRENHANCED
rename DATA%DATAID%\VTSET.dat VTSET-Standard.dat
rename DATA%DATAID%\VFSET.dat VFSET-Standard.dat
rename DATA%DATAID%\VTSET-Enhanced.dat VTSET.dat
rename DATA%DATAID%\VFSET-Enhanced.dat VFSET.dat
goto LB_END

goto LB_END

:LB_OTHER
echo.
goto LB_END

:LB_END
